package com.palmnest.model;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import com.palmnest.application.dto.output.AuditDto;
import com.palmnest.model.notice.WxtemplateConfigPara;

public class TempSaverDetail implements Serializable {
	/**
	 *
	 */
	private static final long serialVersionUID = 6982824868636413765L;

	private Integer id;// 主键ID
	private String  title;
	private String  content;
	private String  url_address;
	private Integer state;
	private String  approval_user;
	private Date    approval_time;
	private String  createTime;
	private String  creator;
	private String  modifier;
	private Date    modifyTime;
	private String  isEnabled;
	private String  phones;
	private Date    send_time;
	private Integer phones_quantity;
	private String  platform_id;
	private String  recipient_email;
	private String  ssender_email;
	private String  email_theme;
	private String  email_centent;
	private Integer emailaccount_id;
	private String  attach_ment;
	private Integer wechat_template_id;
	private String  open_id;
	private String  url;
	private int     total;
	private String  email_user;
	private String  wechat_name;
	
	private List<WxtemplateConfigPara> paraList;
	
	private Integer approvalType;//审核类型
	private List<AuditDto> auditList;//审核信息
	private String approvalTypeName;
	


	public String getApprovalTypeName() {
		return approvalTypeName;
	}

	public void setApprovalTypeName(String approvalTypeName) {
		this.approvalTypeName = approvalTypeName;
	}

	public List<WxtemplateConfigPara> getParaList() {
		return paraList;
	}

	public void setParaList(List<WxtemplateConfigPara> paraList) {
		this.paraList = paraList;
	}

	public String getWechat_name() {
		return wechat_name;
	}

	public void setWechat_name(String wechat_name) {
		this.wechat_name = wechat_name;
	}

	public String getEmail_user() {
		return email_user;
	}

	public void setEmail_user(String email_user) {
		this.email_user = email_user;
	}

	public int getTotal() {
		return total;
	}

	public void setTotal(int total) {
		this.total = total;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}

	public String getUrl_address() {
		return url_address;
	}

	public void setUrl_address(String url_address) {
		this.url_address = url_address;
	}

	public Integer getState() {
		return state;
	}

	public void setState(Integer state) {
		this.state = state;
	}

	public String getApproval_user() {
		return approval_user;
	}

	public void setApproval_user(String approval_user) {
		this.approval_user = approval_user;
	}

	public Date getApproval_time() {
		return approval_time;
	}

	public void setApproval_time(Date approval_time) {
		this.approval_time = approval_time;
	}

	public String getCreateTime() {
		return createTime;
	}

	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}

	public String getCreator() {
		return creator;
	}

	public void setCreator(String creator) {
		this.creator = creator;
	}

	public String getModifier() {
		return modifier;
	}

	public void setModifier(String modifier) {
		this.modifier = modifier;
	}

	public Date getModifyTime() {
		return modifyTime;
	}

	public void setModifyTime(Date modifyTime) {
		this.modifyTime = modifyTime;
	}

	public String getIsEnabled() {
		return isEnabled;
	}

	public void setIsEnabled(String isEnabled) {
		this.isEnabled = isEnabled;
	}

	public String getPhones() {
		return phones;
	}

	public void setPhones(String phones) {
		this.phones = phones;
	}

	public Date getSend_time() {
		return send_time;
	}

	public void setSend_time(Date send_time) {
		this.send_time = send_time;
	}

	public Integer getPhones_quantity() {
		return phones_quantity;
	}

	public void setPhones_quantity(Integer phones_quantity) {
		this.phones_quantity = phones_quantity;
	}

	public String getPlatform_id() {
		return platform_id;
	}

	public void setPlatform_id(String platform_id) {
		this.platform_id = platform_id;
	}

	public String getRecipient_email() {
		return recipient_email;
	}

	public void setRecipient_email(String recipient_email) {
		this.recipient_email = recipient_email;
	}

	public String getSsender_email() {
		return ssender_email;
	}

	public void setSsender_email(String ssender_email) {
		this.ssender_email = ssender_email;
	}

	public String getEmail_theme() {
		return email_theme;
	}

	public void setEmail_theme(String email_theme) {
		this.email_theme = email_theme;
	}

	public String getEmail_centent() {
		return email_centent;
	}

	public void setEmail_centent(String email_centent) {
		this.email_centent = email_centent;
	}

	public Integer getEmailaccount_id() {
		return emailaccount_id;
	}

	public void setEmailaccount_id(Integer emailaccount_id) {
		this.emailaccount_id = emailaccount_id;
	}

	public String getAttach_ment() {
		return attach_ment;
	}

	public void setAttach_ment(String attach_ment) {
		this.attach_ment = attach_ment;
	}

	public Integer getWechat_template_id() {
		return wechat_template_id;
	}

	public void setWechat_template_id(Integer wechat_template_id) {
		this.wechat_template_id = wechat_template_id;
	}

	public String getOpen_id() {
		return open_id;
	}

	public void setOpen_id(String open_id) {
		this.open_id = open_id;
	}

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	@Override
	public String toString() {
		return "TempSaverDetail [id=" + id + ", title=" + title + ", content=" + content + ", url_address="
				+ url_address + ", state=" + state + ", approval_user=" + approval_user + ", approval_time="
				+ approval_time + ", createTime=" + createTime + ", creator=" + creator + ", modifier=" + modifier
				+ ", modifyTime=" + modifyTime + ", isEnabled=" + isEnabled + ", phones=" + phones + ", send_time="
				+ send_time + ", phones_quantity=" + phones_quantity + ", platform_id=" + platform_id
				+ ", recipient_email=" + recipient_email + ", ssender_email=" + ssender_email + ", email_theme="
				+ email_theme + ", email_centent=" + email_centent + ", emailaccount_id=" + emailaccount_id
				+ ", attach_ment=" + attach_ment + ", wechat_template_id=" + wechat_template_id + ", open_id=" + open_id
				+ ", url=" + url + "]";
	}

	public Integer getApprovalType() {
		return approvalType;
	}

	public void setApprovalType(Integer approvalType) {
		this.approvalType = approvalType;
	}

	public List<AuditDto> getAuditList() {
		return auditList;
	}

	public void setAuditList(List<AuditDto> auditList) {
		this.auditList = auditList;
	}


}
